# Get order status

Get status of an order by passing order request ID.

Endpoint: GET /api/v1/orders/status/{requestId}
Version: 1.0
Security: ApiTokenAuth

## Path parameters:

  - `requestId` (string, required)
    Order request Id
    Example: "c3c0029f-181e-41f9-aba5-ae99602203e1"

## Header parameters:

  - `X-Workspace-id` (string, required)
    Workspace ID for authentication
    Example: "444"

## Response 200 fields (application/json):

  - `requestId` (string)
    Order request Id, used for tracking your order request
    Example: "c3c0029f-181e-41f9-aba5-ae99602203e1"

  - `requestStatus` (string)
    Status of a request
    Enum: "ACCEPTED", "WAITING_PROCESSING", "PROCESSING_IN_PROGRESS", "COMPLETED", "FAILED"

  - `orderStep` (string)
    Progression step of an order
    Enum: "PENDING", "PRECHECK_ORDER", "NORMALIZE_ACCOUNT", "NORMALIZE_PAYMENT", "CERTIFICATE_VALIDATION", "COST_CENTER_VALIDATION", "BUDGET_VALIDATION", "BALANCE_VALIDATION", "CREATE_ORDER", "FUND_ACCOUNT_REQUEST", "CHARGE_CREDIT_CARD", "TRANSACTION_BUDGET", "TRANSACTION_BALANCE", "PROCESS_PAYMENT", "CERTIFICATE_GENERATED", "GENERATE_GIFT", "PURCHASE_NOTIFIY", "FINISHING", "COMPLETED", "FAIL", "ABORT"

  - `orderId` (integer)
    Created order Id
    Example: 444350

  - `customerRequestId` (string)
    Customer specified request Id
    Example: "Gf3rf11-181e-443f9-aba5-aeasf32203e1"

## Response 400 fields (application/json):

  - `status` (integer)
    HTTP status code
    Example: 404

  - `message` (string)
    Description of error
    Example: "Does not exists"

  - `type` (string)
    Exception types. Please see possible error code on "Responses Codes & Errors" page


